Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Sms.TARGETSTATUS

    java.lang.Object
      java.lang.Enum<Sms.TARGETSTATUS>
          com.skype.api.Sms.TARGETSTATUS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Sms.TARGETSTATUS>

Enclosing class:
  Sms

    public static enum Sms.TARGETSTATUS

extends java.lang.Enum<Sms.TARGETSTATUS>

Enum Constant Summary
`TARGET_ACCEPTABLE`
`TARGET_ANALYZING`
`TARGET_DELIVERY_FAILED`
`TARGET_DELIVERY_PENDING`
`TARGET_DELIVERY_SUCCESSFUL`
`TARGET_NOT_ROUTABLE`
`TARGET_UNDEFINED`

Method Summary
`static Sms.TARGETSTATUS` | `fromString(java.lang.String s)`
`static Sms.TARGETSTATUS` | `get(int code)`
`int` | `getId()`
`static Sms.TARGETSTATUS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Sms.TARGETSTATUS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TARGET_ANALYZING

    public static final Sms.TARGETSTATUS TARGET_ANALYZING

### TARGET_UNDEFINED

    public static final Sms.TARGETSTATUS TARGET_UNDEFINED

### TARGET_ACCEPTABLE

    public static final Sms.TARGETSTATUS TARGET_ACCEPTABLE

### TARGET_NOT_ROUTABLE

    public static final Sms.TARGETSTATUS TARGET_NOT_ROUTABLE

### TARGET_DELIVERY_PENDING

    public static final Sms.TARGETSTATUS TARGET_DELIVERY_PENDING

### TARGET_DELIVERY_SUCCESSFUL

    public static final Sms.TARGETSTATUS TARGET_DELIVERY_SUCCESSFUL

### TARGET_DELIVERY_FAILED

    public static final Sms.TARGETSTATUS TARGET_DELIVERY_FAILED

Method Detail

### values

    public static Sms.TARGETSTATUS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Sms.TARGETSTATUS c : Sms.TARGETSTATUS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Sms.TARGETSTATUS valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Sms.TARGETSTATUS get(int code)

### fromString

    public static Sms.TARGETSTATUS fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.